Package com.google.earth.kml._2

# Class LatLonBoxType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.LatLonBoxType

Direct Known Subclasses:
  `LatLonAltBoxType`

public class LatLonBoxType extends ObjectType
<p>Java class for LatLonBoxType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="LatLonBoxType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ObjectType"> <sequence> <element name="north" type="{http://earth.google.com/kml/2.1}angle180" minOccurs="0"/> <element name="south" type="{http://earth.google.com/kml/2.1}angle180" minOccurs="0"/> <element name="east" type="{http://earth.google.com/kml/2.1}angle180" minOccurs="0"/> <element name="west" type="{http://earth.google.com/kml/2.1}angle180" minOccurs="0"/> <element name="rotation" type="{http://earth.google.com/kml/2.1}angle180" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Double`
  `east`
  `protected Double`
  `north`
  `protected Double`
  `rotation`
  `protected Double`
  `south`
  `protected Double`
  `west`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LatLonBoxType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `getEast()`
  Gets the value of the east property.
  `Double`
  `getNorth()`
  Gets the value of the north property.
  `Double`
  `getRotation()`
  Gets the value of the rotation property.
  `Double`
  `getSouth()`
  Gets the value of the south property.
  `Double`
  `getWest()`
  Gets the value of the west property.
  `void`
  `setEast(Double value)`
  Sets the value of the east property.
  `void`
  `setNorth(Double value)`
  Sets the value of the north property.
  `void`
  `setRotation(Double value)`
  Sets the value of the rotation property.
  `void`
  `setSouth(Double value)`
  Sets the value of the south property.
  `void`
  `setWest(Double value)`
  Sets the value of the west property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### north

    protected Double north

  - ### south

    protected Double south

  - ### east

    protected Double east

  - ### west

    protected Double west

  - ### rotation

    protected Double rotation

- ## Constructor Details

  - ### LatLonBoxType

    public LatLonBoxType()

- ## Method Details

  - ### getNorth

    public Double getNorth()
    Gets the value of the north property.
    Returns:
      possible object is `Double`

  - ### setNorth

    public void setNorth(Double value)
    Sets the value of the north property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getSouth

    public Double getSouth()
    Gets the value of the south property.
    Returns:
      possible object is `Double`

  - ### setSouth

    public void setSouth(Double value)
    Sets the value of the south property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getEast

    public Double getEast()
    Gets the value of the east property.
    Returns:
      possible object is `Double`

  - ### setEast

    public void setEast(Double value)
    Sets the value of the east property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getWest

    public Double getWest()
    Gets the value of the west property.
    Returns:
      possible object is `Double`

  - ### setWest

    public void setWest(Double value)
    Sets the value of the west property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getRotation

    public Double getRotation()
    Gets the value of the rotation property.
    Returns:
      possible object is `Double`

  - ### setRotation

    public void setRotation(Double value)
    Sets the value of the rotation property.
    Parameters:
      `value` - allowed object is `Double`